@import model._

@import model.forms.LineupForm
@(players: Seq[Player], form: Form[LineupForm], action: Call)(implicit req: MessagesRequest[AnyContent])

@implicitField = @{
    helper.FieldConstructor(views.html.templates._field_constructor.f)
}

@helper.form(action = action) {
    @if(form.hasGlobalErrors) {
        @for(error <- form.globalErrors) {
            @for(msg <- error.messages) {
                <p class="text-danger">@msg</p>
            }
        }
    }
    <ol>
    @for(i <- 1 to 9) {
        <li>
            <div class="row my-2">
                <div class="col">
                @helper.input(form(s"player$i")) { (id, name, value, args) =>
                    <select class="custom-select" name="@name" id="@id" required>
                        <option value=""></option>
                        @for(player <- players) {
                            @if(value.contains(player.id.toString)) {
                                <option value="@player.id" selected>@player.fullName</option>
                            } else {
                                <option value="@player.id">@player.fullName</option>
                            }
                        }
                    </select>
                }
                </div>
                <div class="col-4">
                @helper.input(form(s"p${i}Pos")) { (id, name, value, args) =>
                    <select class="custom-select" name="@name" id="@id" required>
                        <option value=""></option>
                        @for(pos <- lineupPositions) {
                            @if(value.contains(pos)) {
                                <option value="@pos" selected>@pos</option>
                            } else {
                                <option value="@pos">@pos</option>
                            }
                        }
                    </select>
                }
                </div>
            </div>
        </li>
    }
    </ol>
    <hr />
    <div class="row">
    @helper.input(form("pitcher")) { (id, name, value, args) =>
        <div class="col">
            <select class="custom-select" name="@name" id="@id">
                <option value=""></option>
                @for(player <- players) {
                    @if(value.contains(player.id.toString)) {
                        <option value="@player.id" selected>@player.fullName</option>
                    } else {
                        <option value="@player.id">@player.fullName</option>
                    }
                }
            </select>
        </div>
        <div class="col-4">
            <label for="@id" class="col-1">Pitcher</label>
        </div>
    }
    </div>
    <button type="submit" class="btn btn-success my-2" name="force" value="false">Submit</button>
    <br />
    <button type="submit" class="btn btn-warning my-2" name="force" value="true">Force Submit</button>
}
